osl::Sennichite Class Reference

`#include <sennichite.h>`

## Classes

struct | Result

## Public Member Functions

bool | isNormal () const
bool | isDraw () const
bool | hasWinner () const
Player | winner () const

## Static Public Member Functions

static Sennichite | NORMAL ()
static Sennichite | DRAW ()
static Sennichite | BLACK_LOSE ()
static Sennichite | WHITE_LOSE ()

## Private Member Functions

| Sennichite (Result::Values v)

## Private Attributes

Result::Values | value

## Friends

bool | operator== (const Sennichite &l, const Sennichite &r)

## Detailed Description

Definition at line 11 of file sennichite.h.

## Constructor & Destructor Documentation

## Sennichite()

osl::Sennichite::Sennichite | ( | Result::Values | v | ) |

inline private

Definition at line 19 of file sennichite.h.

References value.

Referenced by BLACK_LOSE(), DRAW(), NORMAL(), operator==, and WHITE_LOSE().

## Member Function Documentation

## BLACK_LOSE()

Sennichite osl::Sennichite::BLACK_LOSE | ( |  | ) |

inline static

Definition at line 23 of file sennichite.h.

References osl::Sennichite::Result::BLACK_LOSE, and Sennichite().

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe().

## DRAW()

Sennichite osl::Sennichite::DRAW | ( |  | ) |

inline static

Definition at line 22 of file sennichite.h.

References osl::Sennichite::Result::DRAW, and Sennichite().

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe().

## hasWinner()

bool osl::Sennichite::hasWinner | ( |  | ) | const

inline

Definition at line 28 of file sennichite.h.

References osl::Sennichite::Result::BLACK_LOSE, value, and osl::Sennichite::Result::WHITE_LOSE.

## isDraw()

bool osl::Sennichite::isDraw | ( |  | ) | const

inline

Definition at line 27 of file sennichite.h.

References osl::Sennichite::Result::DRAW, and value.

Referenced by osl::operator<<().

## isNormal()

bool osl::Sennichite::isNormal | ( |  | ) | const

inline

Definition at line 26 of file sennichite.h.

References osl::Sennichite::Result::NORMAL, and value.

Referenced by osl::operator<<().

## NORMAL()

Sennichite osl::Sennichite::NORMAL | ( |  | ) |

inline static

Definition at line 21 of file sennichite.h.

References osl::Sennichite::Result::NORMAL, and Sennichite().

Referenced by osl::RepetitionCounter::distanceToSennichite(), osl::RepetitionCounter::isAlmostSennichite(), and osl::RepetitionCounter::isSennichite().

## WHITE_LOSE()

Sennichite osl::Sennichite::WHITE_LOSE | ( |  | ) |

inline static

Definition at line 24 of file sennichite.h.

References Sennichite(), and osl::Sennichite::Result::WHITE_LOSE.

Referenced by osl::RepetitionCounter::isAlmostSennichiteUnsafe().

## winner()

osl::Player osl::Sennichite::winner | ( |  | ) | const

Definition at line 7 of file sennichite.cc.

References osl::BLACK, osl::Sennichite::Result::BLACK_LOSE, value, osl::WHITE, and osl::Sennichite::Result::WHITE_LOSE.

Referenced by osl::operator<<().

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const Sennichite & | l,
|  | const Sennichite & | r )

friend

Definition at line 35 of file sennichite.h.

References Sennichite(), and value.

## Member Data Documentation

## value

Result::Values osl::Sennichite::value

private

Definition at line 18 of file sennichite.h.

Referenced by hasWinner(), isDraw(), isNormal(), operator==, Sennichite(), and winner().

The documentation for this class was generated from the following files:

- sennichite.h
- sennichite.cc